package com.yc.ship.module.trade.job;

import com.yc.ship.framework.quartz.core.handler.JobHandler;
import com.yc.ship.framework.tenant.core.job.TenantJob;
import com.yc.ship.module.trade.service.smsSendconfig.MessageSendService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


/**
 * 订单站内信消息任务
 *
 * @author qsl
 * @date 2023/03/06
 */
@Component
@Slf4j
public class OrderMessageSixJob implements JobHandler {
    @Resource
    private MessageSendService messageSendService;




    @Override
    @TenantJob
    public String execute(String param) {
        log.info(">>>>>>>>>>>>>>>>>>>>>> 【锁定】开航前22天中午12：00 <<<<<<<<<<<<<<<<<<<<<<");
        try {
            messageSendService.sendMsg8();
        } catch (Exception e) {
            log.error(">>>>>>>>>>>>>>>>>>>>>> 【锁定】开航前22天中午12：00 Error <<<<<<<<<<<<<<<<<<<<<<");
            log.error(e.getMessage(), e);
        }
        log.info(">>>>>>>>>>>>>>>>>>>>>> 【锁定】开航前22天中午12：00 End  <<<<<<<<<<<<<<<<<<<<<<");
        return "成功";
    }

}
